#ifndef USB_H
#define USB_H
#include <libopencm3/usb/usbd.h>
#include <stddef.h>

extern usbd_device *g_usbd_dev;

void usb_setup(void);
void usb_reinit(void);
int usb_write_cdcacm(uint8_t acm, void *data, size_t len, int tries);
bool usb_connected(void);

#define ACM_NFC 1
#define ACM_COMM 0

#endif
